about summary refs log tree commit diff
path: root/users/fcuny/notes/scripts/deploy.sh
diff options
context:
space:
mode:
authorFranck Cuny <franck@fcuny.net>2022-05-25 19:19:24 -0700
committerFranck Cuny <franck@fcuny.net>2022-05-25 19:19:24 -0700
commitc54e3a336fe460db3b4ec156beac452850838555 (patch)
tree7dca8abd153d8d21a3afa6e2bd21687c37d7d77d /users/fcuny/notes/scripts/deploy.sh
parentref(notes): don't rely on git for modified date (diff)
downloadworld-c54e3a336fe460db3b4ec156beac452850838555.tar.gz
ref(notes): drop flake.nix
There's no need to have a flake.nix for the notes, we can use the same
mechanism as for the blog and resume.

Add a README so I remember how to use this in the future.
Diffstat (limited to '')
-rwxr-xr-xusers/fcuny/notes/scripts/deploy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/users/fcuny/notes/scripts/deploy.sh b/users/fcuny/notes/scripts/deploy.sh
index 4075f08..4c6851c 100755
--- a/users/fcuny/notes/scripts/deploy.sh
+++ b/users/fcuny/notes/scripts/deploy.sh
@@ -1,8 +1,14 @@
 #!/usr/bin/env bash
 
+set -ueo pipefail
+
+cd $(git rev-parse --show-toplevel)
+
 git diff --exit-code
 git diff --staged --exit-code
 
+cd users/fcuny/notes
+
 flyctl deploy
 
 VERSION=$(flyctl info -j |jq -r '.App | "notes.fcuny.net/v\(.Version)"')